MutableVersionCatalogContainer (Gradle API 8.11)

Package org.gradle.api.initialization.resolve

## Interface MutableVersionCatalogContainer

- All Superinterfaces:
    `java.util.Collection<VersionCatalogBuilder>`, `Configurable<NamedDomainObjectContainer<VersionCatalogBuilder>>`, `DomainObjectCollection<VersionCatalogBuilder>`, `DomainObjectSet<VersionCatalogBuilder>`, `java.lang.Iterable<VersionCatalogBuilder>`, `NamedDomainObjectCollection<VersionCatalogBuilder>`, `NamedDomainObjectContainer<VersionCatalogBuilder>`, `NamedDomainObjectSet<VersionCatalogBuilder>`, `java.util.Set<VersionCatalogBuilder>`

      public interface MutableVersionCatalogContainer
      extends NamedDomainObjectContainer<VersionCatalogBuilder>

  The container for declaring version catalogs
  Since:
    7.0

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, named, withType`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`